PROGRAM D3;
var a:array [1..1000] of integer;
    k,h,m,n:integer;
begin
readln(h,k);
a[1]:=1;
a[k]:=h;
n:=h div (k-2);
n:=n-2;
for m:=2 to k-1 do
a[m]:=a[m-1]+n;
for m:=1 to k do
write(a[m],' ');
end.
